source: src/libcfa/Makefile.in @ a68caae

aaron-thesisarm-ehcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since a68caae was a68caae, checked in by Thierry Delisle <tdelisle@…>, 5 years ago

Invoke.h now properly push as a standard header

  • Property mode set to 100644
File size: 24.8 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40build_triplet = @build@
41host_triplet = @host@
42subdir = src/libcfa
43DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
44        $(srcdir)/Makefile.in
45ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46am__aclocal_m4_deps = $(top_srcdir)/configure.ac
47am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48        $(ACLOCAL_M4)
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = $(top_builddir)/config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
54am__vpath_adj = case $$p in \
55    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
56    *) f=$$p;; \
57  esac;
58am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
59am__install_max = 40
60am__nobase_strip_setup = \
61  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
62am__nobase_strip = \
63  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
64am__nobase_list = $(am__nobase_strip_setup); \
65  for p in $$list; do echo "$$p $$p"; done | \
66  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
67  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
68    if (++n[$$2] == $(am__install_max)) \
69      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
70    END { for (dir in files) print dir, files[dir] }'
71am__base_list = \
72  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
73  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
74am__uninstall_files_from_dir = { \
75  test -z "$$files" \
76    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
77    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
78         $(am__cd) "$$dir" && rm -f $$files; }; \
79  }
80am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
81        "$(DESTDIR)$(includedir)"
82LIBRARIES = $(lib_LIBRARIES)
83AR = ar
84ARFLAGS = cru
85AM_V_AR = $(am__v_AR_@AM_V@)
86am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
87am__v_AR_0 = @echo "  AR    " $@;
88AM_V_at = $(am__v_at_@AM_V@)
89am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
90am__v_at_0 = @
91libcfa_a_AR = $(AR) $(ARFLAGS)
92libcfa_a_LIBADD =
93am__dirstamp = $(am__leading_dot)dirstamp
94am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
95        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
96        rational.$(OBJEXT) assert.$(OBJEXT) \
97        containers/vector.$(OBJEXT) concurrency/threads.$(OBJEXT)
98am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1) \
99        concurrency/CtxSwitch-@MACHINE_TYPE@.$(OBJEXT) \
100        concurrency/invoke.$(OBJEXT)
101libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
102DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
103depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
104am__depfiles_maybe = depfiles
105am__mv = mv -f
106CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
107        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
108AM_V_CPPAS = $(am__v_CPPAS_@AM_V@)
109am__v_CPPAS_ = $(am__v_CPPAS_@AM_DEFAULT_V@)
110am__v_CPPAS_0 = @echo "  CPPAS " $@;
111COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
112        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
113AM_V_CC = $(am__v_CC_@AM_V@)
114am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
115am__v_CC_0 = @echo "  CC    " $@;
116CCLD = $(CC)
117LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
118AM_V_CCLD = $(am__v_CCLD_@AM_V@)
119am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
120am__v_CCLD_0 = @echo "  CCLD  " $@;
121AM_V_GEN = $(am__v_GEN_@AM_V@)
122am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
123am__v_GEN_0 = @echo "  GEN   " $@;
124SOURCES = $(libcfa_a_SOURCES)
125DIST_SOURCES = $(libcfa_a_SOURCES)
126DATA = $(cfalib_DATA)
127HEADERS = $(nobase_include_HEADERS)
128ETAGS = etags
129CTAGS = ctags
130DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
131ACLOCAL = @ACLOCAL@
132ALLOCA = @ALLOCA@
133AMTAR = @AMTAR@
134AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
135AUTOCONF = @AUTOCONF@
136AUTOHEADER = @AUTOHEADER@
137AUTOMAKE = @AUTOMAKE@
138AWK = @AWK@
139BACKEND_CC = @BACKEND_CC@
140CC = ${abs_top_srcdir}/src/driver/cfa
141CCAS = @CCAS@
142CCASDEPMODE = @CCASDEPMODE@
143CCASFLAGS = @CCASFLAGS@
144CCDEPMODE = @CCDEPMODE@
145CFA_BACKEND_CC = @CFA_BACKEND_CC@
146CFA_BINDIR = @CFA_BINDIR@
147CFA_FLAGS = @CFA_FLAGS@
148CFA_INCDIR = @CFA_INCDIR@
149CFA_LIBDIR = @CFA_LIBDIR@
150CFA_PREFIX = @CFA_PREFIX@
151CFLAGS = ${EXTRA_FLAGS} -quiet -no-include-stdhdr -XCFA -t -B${abs_top_srcdir}/src/driver
152CPP = @CPP@
153CPPFLAGS = @CPPFLAGS@
154CXX = @CXX@
155CXXDEPMODE = @CXXDEPMODE@
156CXXFLAGS = @CXXFLAGS@
157CYGPATH_W = @CYGPATH_W@
158DEFS = @DEFS@
159DEPDIR = @DEPDIR@
160ECHO_C = @ECHO_C@
161ECHO_N = @ECHO_N@
162ECHO_T = @ECHO_T@
163EGREP = @EGREP@
164EXEEXT = @EXEEXT@
165GREP = @GREP@
166INSTALL = @INSTALL@
167INSTALL_DATA = @INSTALL_DATA@
168INSTALL_PROGRAM = @INSTALL_PROGRAM@
169INSTALL_SCRIPT = @INSTALL_SCRIPT@
170INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
171LDFLAGS = @LDFLAGS@
172LEX = @LEX@
173LEXLIB = @LEXLIB@
174LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
175LIBOBJS = @LIBOBJS@
176LIBS = @LIBS@
177LTLIBOBJS = @LTLIBOBJS@
178MACHINE_TYPE = @MACHINE_TYPE@
179MAINT = @MAINT@
180MAKEINFO = @MAKEINFO@
181MKDIR_P = @MKDIR_P@
182OBJEXT = @OBJEXT@
183PACKAGE = @PACKAGE@
184PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
185PACKAGE_NAME = @PACKAGE_NAME@
186PACKAGE_STRING = @PACKAGE_STRING@
187PACKAGE_TARNAME = @PACKAGE_TARNAME@
188PACKAGE_URL = @PACKAGE_URL@
189PACKAGE_VERSION = @PACKAGE_VERSION@
190PATH_SEPARATOR = @PATH_SEPARATOR@
191RANLIB = @RANLIB@
192SET_MAKE = @SET_MAKE@
193SHELL = @SHELL@
194STRIP = @STRIP@
195VERSION = @VERSION@
196YACC = @YACC@
197YFLAGS = @YFLAGS@
198abs_builddir = @abs_builddir@
199abs_srcdir = @abs_srcdir@
200abs_top_builddir = @abs_top_builddir@
201abs_top_srcdir = @abs_top_srcdir@
202ac_ct_CC = @ac_ct_CC@
203ac_ct_CXX = @ac_ct_CXX@
204am__include = @am__include@
205am__leading_dot = @am__leading_dot@
206am__quote = @am__quote@
207am__tar = @am__tar@
208am__untar = @am__untar@
209bindir = @bindir@
210build = @build@
211build_alias = @build_alias@
212build_cpu = @build_cpu@
213build_os = @build_os@
214build_vendor = @build_vendor@
215builddir = @builddir@
216datadir = @datadir@
217datarootdir = @datarootdir@
218docdir = @docdir@
219dvidir = @dvidir@
220exec_prefix = @exec_prefix@
221host = @host@
222host_alias = @host_alias@
223host_cpu = @host_cpu@
224host_os = @host_os@
225host_vendor = @host_vendor@
226htmldir = @htmldir@
227includedir = @includedir@
228infodir = @infodir@
229install_sh = @install_sh@
230libdir = @libdir@
231libexecdir = @libexecdir@
232localedir = @localedir@
233localstatedir = @localstatedir@
234mandir = @mandir@
235mkdir_p = @mkdir_p@
236oldincludedir = @oldincludedir@
237pdfdir = @pdfdir@
238prefix = @prefix@
239program_transform_name = @program_transform_name@
240psdir = @psdir@
241sbindir = @sbindir@
242sharedstatedir = @sharedstatedir@
243srcdir = @srcdir@
244sysconfdir = @sysconfdir@
245target_alias = @target_alias@
246top_build_prefix = @top_build_prefix@
247top_builddir = @top_builddir@
248top_srcdir = @top_srcdir@
249
250# create object files in directory with source files
251AUTOMAKE_OPTIONS = subdir-objects
252lib_LIBRARIES = libcfa.a
253
254# put into lib for now
255cfalibdir = ${libdir}
256cfalib_DATA = builtins.cf extras.cf prelude.cf
257MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
258EXTRA_FLAGS = \
259        -g \
260        -Wall \
261        -Wno-unused-function \
262        @CFA_FLAGS@ \
263        -I${abs_top_srcdir}/src/libcfa/libhdr \
264        # TEMPORARY: does not build with -O2
265
266AM_CCASFLAGS = @CFA_FLAGS@
267headers = limits stdlib math iostream fstream iterator rational assert containers/vector concurrency/threads
268runtimehdrs = concurrency
269libobjs = ${headers:=.o}
270libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c} concurrency/CtxSwitch-@MACHINE_TYPE@.S concurrency/invoke.c
271stdhdr = ${shell echo stdhdr/*}
272nobase_include_HEADERS = ${headers} ${stdhdr} concurrency/invoke.h
273CLEANFILES = libcfa-prelude.c
274all: all-am
275
276.SUFFIXES:
277.SUFFIXES: .S .c .o .obj
278$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
279        @for dep in $?; do \
280          case '$(am__configure_deps)' in \
281            *$$dep*) \
282              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
283                && { if test -f $@; then exit 0; else break; fi; }; \
284              exit 1;; \
285          esac; \
286        done; \
287        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
288        $(am__cd) $(top_srcdir) && \
289          $(AUTOMAKE) --foreign src/libcfa/Makefile
290.PRECIOUS: Makefile
291Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
292        @case '$?' in \
293          *config.status*) \
294            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
295          *) \
296            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
297            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
298        esac;
299
300$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
301        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
302
303$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
304        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
305$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
306        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
307$(am__aclocal_m4_deps):
308install-libLIBRARIES: $(lib_LIBRARIES)
309        @$(NORMAL_INSTALL)
310        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
311        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
312        list2=; for p in $$list; do \
313          if test -f $$p; then \
314            list2="$$list2 $$p"; \
315          else :; fi; \
316        done; \
317        test -z "$$list2" || { \
318          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
319          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
320        @$(POST_INSTALL)
321        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
322        for p in $$list; do \
323          if test -f $$p; then \
324            $(am__strip_dir) \
325            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
326            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
327          else :; fi; \
328        done
329
330uninstall-libLIBRARIES:
331        @$(NORMAL_UNINSTALL)
332        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
333        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
334        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
335
336clean-libLIBRARIES:
337        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
338containers/$(am__dirstamp):
339        @$(MKDIR_P) containers
340        @: > containers/$(am__dirstamp)
341containers/$(DEPDIR)/$(am__dirstamp):
342        @$(MKDIR_P) containers/$(DEPDIR)
343        @: > containers/$(DEPDIR)/$(am__dirstamp)
344containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
345        containers/$(DEPDIR)/$(am__dirstamp)
346concurrency/$(am__dirstamp):
347        @$(MKDIR_P) concurrency
348        @: > concurrency/$(am__dirstamp)
349concurrency/$(DEPDIR)/$(am__dirstamp):
350        @$(MKDIR_P) concurrency/$(DEPDIR)
351        @: > concurrency/$(DEPDIR)/$(am__dirstamp)
352concurrency/threads.$(OBJEXT): concurrency/$(am__dirstamp) \
353        concurrency/$(DEPDIR)/$(am__dirstamp)
354concurrency/CtxSwitch-@MACHINE_TYPE@.$(OBJEXT):  \
355        concurrency/$(am__dirstamp) \
356        concurrency/$(DEPDIR)/$(am__dirstamp)
357concurrency/invoke.$(OBJEXT): concurrency/$(am__dirstamp) \
358        concurrency/$(DEPDIR)/$(am__dirstamp)
359libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
360        $(AM_V_at)-rm -f libcfa.a
361        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
362        $(AM_V_at)$(RANLIB) libcfa.a
363
364mostlyclean-compile:
365        -rm -f *.$(OBJEXT)
366        -rm -f concurrency/CtxSwitch-@MACHINE_TYPE@.$(OBJEXT)
367        -rm -f concurrency/invoke.$(OBJEXT)
368        -rm -f concurrency/threads.$(OBJEXT)
369        -rm -f containers/vector.$(OBJEXT)
370
371distclean-compile:
372        -rm -f *.tab.c
373
374@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/assert.Po@am__quote@
375@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
376@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
377@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
378@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
379@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
380@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
381@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
382@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
383@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/CtxSwitch-@MACHINE_TYPE@.Po@am__quote@
384@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/invoke.Po@am__quote@
385@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/threads.Po@am__quote@
386@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
387
388.S.o:
389@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
390@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
391@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
392@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
393@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
394@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ $<
395
396.S.obj:
397@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
398@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
399@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
400@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
401@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
402@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
403
404.c.o:
405@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
406@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
407@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
408@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
409@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
410@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
411
412.c.obj:
413@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
414@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
415@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
416@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
417@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
418@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
419install-cfalibDATA: $(cfalib_DATA)
420        @$(NORMAL_INSTALL)
421        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
422        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
423        for p in $$list; do \
424          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
425          echo "$$d$$p"; \
426        done | $(am__base_list) | \
427        while read files; do \
428          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
429          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
430        done
431
432uninstall-cfalibDATA:
433        @$(NORMAL_UNINSTALL)
434        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
435        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
436        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
437install-nobase_includeHEADERS: $(nobase_include_HEADERS)
438        @$(NORMAL_INSTALL)
439        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
440        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
441        $(am__nobase_list) | while read dir files; do \
442          xfiles=; for file in $$files; do \
443            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
444            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
445          test -z "$$xfiles" || { \
446            test "x$$dir" = x. || { \
447              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
448              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
449            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
450            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
451        done
452
453uninstall-nobase_includeHEADERS:
454        @$(NORMAL_UNINSTALL)
455        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
456        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
457        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
458
459ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
460        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
461        unique=`for i in $$list; do \
462            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
463          done | \
464          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
465              END { if (nonempty) { for (i in files) print i; }; }'`; \
466        mkid -fID $$unique
467tags: TAGS
468
469TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
470                $(TAGS_FILES) $(LISP)
471        set x; \
472        here=`pwd`; \
473        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
474        unique=`for i in $$list; do \
475            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
476          done | \
477          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
478              END { if (nonempty) { for (i in files) print i; }; }'`; \
479        shift; \
480        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
481          test -n "$$unique" || unique=$$empty_fix; \
482          if test $$# -gt 0; then \
483            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
484              "$$@" $$unique; \
485          else \
486            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
487              $$unique; \
488          fi; \
489        fi
490ctags: CTAGS
491CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
492                $(TAGS_FILES) $(LISP)
493        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
494        unique=`for i in $$list; do \
495            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
496          done | \
497          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
498              END { if (nonempty) { for (i in files) print i; }; }'`; \
499        test -z "$(CTAGS_ARGS)$$unique" \
500          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
501             $$unique
502
503GTAGS:
504        here=`$(am__cd) $(top_builddir) && pwd` \
505          && $(am__cd) $(top_srcdir) \
506          && gtags -i $(GTAGS_ARGS) "$$here"
507
508distclean-tags:
509        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
510
511distdir: $(DISTFILES)
512        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
513        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
514        list='$(DISTFILES)'; \
515          dist_files=`for file in $$list; do echo $$file; done | \
516          sed -e "s|^$$srcdirstrip/||;t" \
517              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
518        case $$dist_files in \
519          */*) $(MKDIR_P) `echo "$$dist_files" | \
520                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
521                           sort -u` ;; \
522        esac; \
523        for file in $$dist_files; do \
524          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
525          if test -d $$d/$$file; then \
526            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
527            if test -d "$(distdir)/$$file"; then \
528              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
529            fi; \
530            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
531              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
532              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
533            fi; \
534            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
535          else \
536            test -f "$(distdir)/$$file" \
537            || cp -p $$d/$$file "$(distdir)/$$file" \
538            || exit 1; \
539          fi; \
540        done
541check-am: all-am
542check: check-am
543all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
544installdirs:
545        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
546          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
547        done
548install: install-am
549install-exec: install-exec-am
550install-data: install-data-am
551uninstall: uninstall-am
552
553install-am: all-am
554        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
555
556installcheck: installcheck-am
557install-strip:
558        if test -z '$(STRIP)'; then \
559          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
560            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
561              install; \
562        else \
563          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
564            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
565            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
566        fi
567mostlyclean-generic:
568
569clean-generic:
570        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
571
572distclean-generic:
573        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
574        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
575        -rm -f concurrency/$(DEPDIR)/$(am__dirstamp)
576        -rm -f concurrency/$(am__dirstamp)
577        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
578        -rm -f containers/$(am__dirstamp)
579
580maintainer-clean-generic:
581        @echo "This command is intended for maintainers to use"
582        @echo "it deletes files that may require special tools to rebuild."
583        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
584clean: clean-am
585
586clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
587
588distclean: distclean-am
589        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
590        -rm -f Makefile
591distclean-am: clean-am distclean-compile distclean-generic \
592        distclean-tags
593
594dvi: dvi-am
595
596dvi-am:
597
598html: html-am
599
600html-am:
601
602info: info-am
603
604info-am:
605
606install-data-am: install-cfalibDATA install-nobase_includeHEADERS
607
608install-dvi: install-dvi-am
609
610install-dvi-am:
611
612install-exec-am: install-libLIBRARIES
613
614install-html: install-html-am
615
616install-html-am:
617
618install-info: install-info-am
619
620install-info-am:
621
622install-man:
623
624install-pdf: install-pdf-am
625
626install-pdf-am:
627
628install-ps: install-ps-am
629
630install-ps-am:
631
632installcheck-am:
633
634maintainer-clean: maintainer-clean-am
635        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
636        -rm -f Makefile
637maintainer-clean-am: distclean-am maintainer-clean-generic \
638        maintainer-clean-local
639
640mostlyclean: mostlyclean-am
641
642mostlyclean-am: mostlyclean-compile mostlyclean-generic
643
644pdf: pdf-am
645
646pdf-am:
647
648ps: ps-am
649
650ps-am:
651
652uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
653        uninstall-nobase_includeHEADERS
654
655.MAKE: install-am install-strip
656
657.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
658        clean-libLIBRARIES ctags distclean distclean-compile \
659        distclean-generic distclean-tags distdir dvi dvi-am html \
660        html-am info info-am install install-am install-cfalibDATA \
661        install-data install-data-am install-dvi install-dvi-am \
662        install-exec install-exec-am install-html install-html-am \
663        install-info install-info-am install-libLIBRARIES install-man \
664        install-nobase_includeHEADERS install-pdf install-pdf-am \
665        install-ps install-ps-am install-strip installcheck \
666        installcheck-am installdirs maintainer-clean \
667        maintainer-clean-generic maintainer-clean-local mostlyclean \
668        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
669        tags uninstall uninstall-am uninstall-cfalibDATA \
670        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
671
672
673# create extra forward types/declarations to reduce inclusion of library files
674extras.cf : extras.regx extras.c
675        ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
676
677# create forward declarations for gcc builtins
678builtins.cf : builtins.c
679        ${AM_V_GEN}if [ -e $< ] ; then \
680                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
681        fi
682
683builtins.c : builtins.def prototypes.awk
684        ${AM_V_GEN}if [ -e $< ] ; then \
685                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
686        fi
687
688builtins.def :
689
690prototypes.awk :
691
692#--------------------------------------------------
693
694libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
695        ${AM_V_GEN}${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
696
697libcfa-prelude.o : libcfa-prelude.c
698         ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -c -o $@ $<
699
700# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
701% : %.c
702        @true
703
704concurrency/invoke.o : concurrency/invoke.c
705        $(AM_V_CC) @BACKEND_CC@ -DHAVE_CONFIG_H -I. -I../.. ${EXTRA_FLAGS} -c -o $@ $<
706
707${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
708
709maintainer-clean-local:
710        -rm -rf ${includedir}/*
711
712# Tell versions [3.59,3.63) of GNU make to not export all variables.
713# Otherwise a system limit (for SysV at least) may be exceeded.
714.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.